org.eclipse.net4j.util.security

## Class DiffieHellman.Server

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.Server

- Enclosing class:
    DiffieHellman

      public static class DiffieHellman.Server
      extends Object

  Executes the server-side of the Diffie-Hellman key agreement protocol.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DiffieHellman.Server.Challenge`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CYPHER_TRANSFORMATION`
    `static String` | `DEFAULT_SECRET_ALGORITHM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server(String realm)`
    `Server(String realm, DHParameterSpec dhParamSpec)`
    `Server(String realm, DHParameterSpec dhParamSpec, String secretAlgorithm, String cypherTransformation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiffieHellman.Server.Challenge` | `getChallenge()`
    `String` | `getRealm()`
    `byte[]` | `handleResponse(DiffieHellman.Client.Response response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SECRET_ALGORITHM

          public static final String DEFAULT_SECRET_ALGORITHM

      See Also:
        Constant Field Values

    - #### DEFAULT_CYPHER_TRANSFORMATION

          public static final String DEFAULT_CYPHER_TRANSFORMATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Server

          public Server(String realm,
                        DHParameterSpec dhParamSpec,
                        String secretAlgorithm,
                        String cypherTransformation)

    - #### Server

          public Server(String realm,
                        DHParameterSpec dhParamSpec)

    - #### Server

          public Server(String realm)

  - ### Method Detail

    - #### getRealm

          public final String getRealm()

    - #### getChallenge

          public final DiffieHellman.Server.Challenge getChallenge()

    - #### handleResponse

          public byte[] handleResponse(DiffieHellman.Client.Response response)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html